Highlighted

Re: error your php server doesn't have mysql module loaded or you cant use the mysql_(p)connect func

New Here ,
Feb 23, 2020

Copy link to clipboard

Copied

I try to learn WordPress with "DreamWeaver CS5 with PHP" by David Powers running on Dreamweaver CS6 on Window 7.  Installed Apache24 that came with PHP7 and MySQL on the local server.  Ran into the same problem of "your php server doesn't have mysql module loaded or you cant use the mysql_(p)connect function".  Noticed in phpinfo.php there is no mysql but mysqli. 

 

Besides re-intall an old version of the Apache with PHP5x, is there a way to fix this problem of  this problem?  Please be a little more detail than 

1) Write your own mysqli functions and queries (how?)

2) Buy a 3rd party extension for Dreamweaver which will replace the old Dreamweaver server behaviours (which ones?)

jtkoo

I am a novice.  

 

 

Views

76

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Re: error your php server doesn't have mysql module loaded or you cant use the mysql_(p)connect func

New Here ,
Feb 23, 2020

Copy link to clipboard

Copied

I try to learn WordPress with "DreamWeaver CS5 with PHP" by David Powers running on Dreamweaver CS6 on Window 7.  Installed Apache24 that came with PHP7 and MySQL on the local server.  Ran into the same problem of "your php server doesn't have mysql module loaded or you cant use the mysql_(p)connect function".  Noticed in phpinfo.php there is no mysql but mysqli. 

 

Besides re-intall an old version of the Apache with PHP5x, is there a way to fix this problem of  this problem?  Please be a little more detail than 

1) Write your own mysqli functions and queries (how?)

2) Buy a 3rd party extension for Dreamweaver which will replace the old Dreamweaver server behaviours (which ones?)

jtkoo

I am a novice.  

 

 

Views

77

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Adobe Community Professional ,
Feb 23, 2020

Copy link to clipboard

Copied

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Adobe Community Professional ,
Feb 24, 2020

Copy link to clipboard

Copied

CS5 and CS6 are outdated products, no longer sold or supported.  You're shooting yourself in the foot trying to use outdated software for modern web design.  Too many things have changed.   Among other things, Creative Suite doesn't understand modern PHP 7, CSS3 and JavaScript code.  And the DW server-behaviors panels are of no use because the code has not been updated to MySQLi (improved) or PDO.   Your servers won't support the old MySQL connections.  That's why you're getting that error message.

 

I suggest you determine exactly which versions of PHP and MySQL are supported by your servers (remote and local) as well as your version of WordPress.

 

==================

Beware of fake Adobe reps who may contact you privately offering to sell you software or take control of your computer.  It's a scam, run away!

 

Nancy O'Shea, ACP
Alt-Web.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...